
/* 用于打开聊天表单的按钮 - 固定在页面底部 */
.open-button {
  background-color: #555;
  color: white;
  padding: 8px 4px;
  border: 2px solid #f1f1f1;
  cursor: pointer;
  opacity: 0.7;
  position: fixed;
  bottom: 23px;
  right: 28px;
  width: 100px;
}
.form-popup2 {
    display: none;
    position: fixed;
    top:80px;
    right: 15px;
    z-index: 9;
    border-radius: 2px 2px 2px 2px;
  }

/* 弹出式聊天 - 默认隐藏 */
.form-popup {
  display: none;
  position: fixed;
  bottom: 75px;
  right: 15px;
  z-index: 9;
  border-radius: 2px 2px 2px 2px;
}

/* 向表单容器添加样式 */
.form-container {
  max-width: 600px;
  padding: 2px;
  background-color: white;
}

/* 全宽文本区域 */
.form-container textarea {
  width: 100%;
  padding: 2px;
  margin: 2px 0 2px 0;
  border: none;
  background: #f1f1f1;
  resize: none;
  min-height: 20px;
  font-size: small;
}

/* 当文本区域获得焦点时，做一些事情 */
.form-container textarea:focus {
  background-color: #ddd;
  outline: none;
}

/* 设置提交/登录按钮的样式 */
.form-container .btn {
  background-color: #4CAF50;
  color: white;
  padding: 2px 4px;
  border: none;
  cursor: pointer;
  width: 100%;
  margin-bottom:10px;
  opacity: 0.8;
}

/* 为取消按钮添加红色背景色 */
.form-container .cancel {
  background-color: red;
}

/* 为按钮添加一些悬停效果 */
.form-container .btn:hover, .open-button:hover {
  opacity: 1;
}